//
//  USCollectionItem.m
//  CollectionViewExample
//
//  Created by Ulf Schwekendiek on 12/19/10.
//  Copyright 2010 sulf.me. All rights reserved.
//

#import "USCollectionViewItem.h"

@implementation USCollectionViewItem

@synthesize label = _label;
@synthesize backgroundBox = _backgroundBox;

-(id) copyWithZone:(NSZone *)zone
{
	id obj = [super copyWithZone:zone];

	// load the nib
	[NSBundle loadNibNamed:@"USCollectionView" owner:obj];
	
	return obj;
}

- (void) setRepresentedObject:(id)representedObject
{
	[super setRepresentedObject:representedObject];
	
	// check if we have an NSDictionary
	if (![representedObject isKindOfClass:[NSDictionary class]])
		return;
	
	NSDictionary *data = (NSDictionary*)representedObject;
	[self.label setStringValue:[data objectForKey:@"label"]];
}

- (IBAction) click:(id)sender
{
	[self.label setStringValue:@"Click!"];
}

- (void)setSelected:(BOOL)flag {
	[super setSelected:	flag];
	
	NSColor *color;
	
	if (flag) {
		color		= [NSColor selectedControlColor];
	} else {
		color		= [NSColor controlBackgroundColor];
	}
	
	[self.backgroundBox setFillColor:color];
}

- (void) dealloc
{
	[_label release];
	[_backgroundBox release];
	[super dealloc];
}

@end
